Subject: Re: filename expansion
From: [email-masked] ("$Bill Luebkert")

11 Aug 1997 20:47:43 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.02Gold (Win95; U)
Original-To: "Daniel P.C. da Silva" <[email-masked]>
Original-CC: gnu-win32 mailing list <[email-masked]>
Original-Sender: [email-masked]

Daniel P.C. da Silva wrote:
> 
> I don't know how to pass a pattern (like find . -name "*.pl") without
> doing filename expansion. Under UNIX, I would use \* , "*" or '*' to
> protect the pattern from the shell. None of this methods work with
> gnu-win32 commands running from a command prompt (not bash).
> Is there another way of doing this?

There is a bug (IMHO) in the argument passing of non-cygwin shells.
Cygwin assumes that the shell has no globbing ability and globs 
the cmdline.  Furthermore, it ignores ' and ", so you can't escape 
it.  I think I may have found a kludge around it though.

Try:
  xargs find . -name
  *.pl -print
  ^Z
or
  xargs find . -name
  *.pl
  -print
  ^Z

-- 
  ,-/-  __      _  _         $Bill Luebkert
 (_/   /  )    // //       DBE Collectibles
  / ) /--<  o // //      http://www.wgn.net/~dbe/
-/-' /___/_<_</_</_    Email: [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".